/*===========================================================================*/
/*================================START======================================*/
/* Anpassungen f�r Klassen aus isomorphic/skins/Enterprise/skin_styles.css               */
/*===========================================================================*/

.treeCell,
.treeCellDark,
.treeCellOver,
.treeCellOverDark,
.treeCellSelected,
.treeCellSelectedDark,
.treeCellSelectedOver,
.treeCellSelectedOverDark,
.treeCellDisabled,
.treeCellDisabledDark,
.treeTallCell,
.treeTallCellDark,
.treeTallCellOver,
.treeTallCellOverDark,
.treeTallCellSelected,
.treeTallCellSelectedDark,
.treeTallCellSelectedOver,
.treeTallCellSelectedOverDark,
.treeTallCellDisabled,
.treeTallCellDisabledDark {
    border-right: 1px solid #cccccc;
}

.treeCellDark,
.treeTallCellDark {
    background-color: #f0f0f0;
}

.cell,
.cellDark,
.cellOver,
.cellOverDark,
.cellSelected,
.cellSelectedDark,
.cellSelectedOver,
.cellSelectedOverDark,
.cellDisabled,
.cellDisabledDark,
.tallCell,
.tallCellDark,
.tallCellOver,
.tallCellOverDark,
.tallCellSelected,
.tallCellSelectedDark,
.tallCellSelectedOver,
.tallCellSelectedOverDark,
.tallCellDisabled,
.tallCellDisabledDark,
.gridSummaryCell,
.gridSummaryCellDisabled,
.recordSummaryCell,
.recordSummaryCellDark,
.recordSummaryCellOver,
.recordSummaryCellOverDark,
.recordSummaryCellSelected,
.recordSummaryCellSelectedDark,
.recordSummaryCellSelectedOver,
.recordSummaryCellSelectedOverDark,
.recordSummaryCellDisabled,
.recordSummaryCellDisabledDark,
.expansionCellCell,
.expansionCellCellDark,
.expansionCellCellOver,
.expansionCellCellOverDark,
.expansionCellCellSelected,
.expansionCellCellSelectedDark,
.expansionCellCellSelectedOver,
.expansionCellCellSelectedOverDark,
.expansionCellCellDisabled,
.expansionCellCellDisabledDark,
.specialCol,
.specialColOver,
.specialColSelected,
.specialColSelectedOver,
.specialColDisabled,
.groupNode {
    border-right: 1px solid #cccccc;
}

.cellDark,
.recordSummaryCell,
.recordSummaryCellDark {
    background-color: #f0f0f0;;
}

.cellSelected,
.cellSelectedDark,
.cellSelectedOver,
.cellSelectedOverDark {
    border: 1px solid rgba(0, 0, 0, 0.96);
}

/*===========================================================================*/
/*=================================ENDE======================================*/
/*===========================================================================*/

.checkboxPaddingLeft20px {
    padding-left: 20px
}

tr[rowselected="true"] td.cell,tr[rowselected="true"] td.cellDark{
    background: #d6e8ff;
    border-bottom: 1px dotted #9fb7e9;
    border-top: 1px dotted #9fb7e9;
}
tr[rowselected="true"] td.cellSelected, tr[rowselected="true"] td.cellSelectedDark{
    border: 1px solid rgba(0, 0, 0, 0.96);
}

div {
    outline: none;
}

.head {
    width: 100%;
    height: 60px;
    background: #012653 url("img/bg_head.png") top right no-repeat;
}

.head img {
    margin: 9px 0 0 10px;
    float: left;
}

.head img.applicationName {
    margin: 20px 0 0 50px;
}

.foot {
    color: #ffffff;
    background: #012653;
}

.articleMultEditClassChangedCell,
.articleMultEditClassChangedCellDark{
    background-color: rgba(44,205,19,0.3);
    border-bottom:1px dotted rgba(44,205,19, 0.3); border-top:1px dotted rgba(44,205,19,0.3);
}

.articleMultEditClassChangedCellSelected,
.articleMultEditClassChangedCellSelectedDark{
    background-color: rgba(44,205,19, 0.6);
    border-bottom:1px dotted rgba(44,205,19, 0.6); border-top:1px dotted rgba(44,205,19,0.6);
}
.articleMultEditClassChangedCellSelectedOver,
.articleMultEditClassChangedCellSelectedOverDark{
    background: rgba(44,205,19, 0.7);
    background: linear-gradient( rgba(44,205,19, 0.5),  rgba(44,205,19, 0.6),  rgba(44,205,19, 0.7));
    background: -moz-linear-gradient( rgba(44,205,19, 0.5),  rgba(44,205,19, 0.6),  rgba(44,205,19, 0.7));
    background: -o-linear-gradient(rgba(44,205,19, 0.5),  rgba(44,205,19, 0.6),  rgba(44,205,19, 0.7));
    background: -webkit-linear-gradient(rgba(44,205,19, 0.5),  rgba(44,205,19, 0.6),  rgba(44,205,19, 0.7));
    border-bottom:1px solid rgba(44,205,19, 0.7); border-top:1px solid rgba(44,205,19,0.7);
}


.articleMultEditClassChangedCellOver,
.articleMultEditClassChangedCellOverDark{
    background: rgba(44,205,19, 0.8);
    background: linear-gradient( rgba(44,205,19, 0.6),  rgba(44,205,19, 0.7),  rgba(44,205,19, 0.8));
    background: -moz-linear-gradient( rgba(44,205,19, 0.6),  rgba(44,205,19, 0.7),  rgba(44,205,19, 0.8));
    background: -o-linear-gradient(rgba(44,205,19, 0.6),  rgba(44,205,19, 0.7),  rgba(44,205,19, 0.8));
    background: -webkit-linear-gradient(rgba(44,205,19, 0.6),  rgba(44,205,19, 0.7),  rgba(44,205,19, 0.8));
    border-bottom:1px solid rgba(44,205,19, 0.8); border-top:1px solid rgba(44,205,19,0.8);
}
.articleMultEditClassNotChangedCellSelected,
.articleMultEditClassNotChangedCellSelectedDark{
    background-color: rgba(44,205,19, 0.6);
    border-bottom:1px dotted rgba(44,205,19, 0.6); border-top:1px dotted rgba(44,205,19,0.6);
}

.articleMultEditClassNotChangedCell,
.articleMultEditClassNotChangedCellDark{
    background-color: rgba(228, 51, 51, 0.3);
    border-bottom:1px dotted rgba(228, 51, 51, 0.3); border-top:1px dotted rgba(228, 51, 51,0.3);
}
.articleMultEditClassNotChangedCellSelected,
.articleMultEditClassNotChangedCellSelectedDark{
    background-color: rgba(228, 51, 51, 0.6);
    border-bottom:1px dotted rgba(228, 51, 51, 0.6); border-top:1px dotted rgba(228, 51, 51,0.6);
}
.articleMultEditClassNotChangedCellOver,
.articleMultEditClassNotChangedCellOverDark{
    background: rgba(228, 51, 51, 0.8);
    background: linear-gradient( rgba(228, 51, 51, 0.6),  rgba(228, 51, 51, 0.7),  rgba(228, 51, 51, 0.8));
    background: -moz-linear-gradient( rgba(228, 51, 51, 0.6),  rgba(228, 51, 51, 0.7),  rgba(228, 51, 51, 0.8));
    background: -o-linear-gradient(rgba(228, 51, 51, 0.6),  rgba(228, 51, 51, 0.7),  rgba(228, 51, 51, 0.8));
    background: -webkit-linear-gradient(rgba(228, 51, 51, 0.6),  rgba(228, 51, 51, 0.7),  rgba(228, 51, 51, 0.8));
    border-bottom:1px solid rgba(228, 51, 51, 0.8); border-top:1px solid rgba(228, 51, 51,0.8);


}
.articleMultEditClassNotChangedCellSelectedOver,
.articleMultEditClassNotChangedCellSelectedOverDark{
    background: rgba(228, 51, 51, 0.7);
    background: linear-gradient( rgba(228, 51, 51, 0.5),  rgba(228, 51, 51, 0.6),  rgba(228, 51, 51, 0.7));
    background: -moz-linear-gradient( rgba(228, 51, 51, 0.5),  rgba(228, 51, 51, 0.6),  rgba(228, 51, 51, 0.7));
    background: -o-linear-gradient(rgba(228, 51, 51, 0.5),  rgba(228, 51, 51, 0.6),  rgba(228, 51, 51, 0.7));
    background: -webkit-linear-gradient(rgba(228, 51, 51, 0.5),  rgba(228, 51, 51, 0.6),  rgba(228, 51, 51, 0.7));
    border-bottom:1px solid rgba(228, 51, 51, 0.7); border-top:1px solid rgba(228, 51, 51,0.7);

}
.paddingRight10Px {
    padding-right: 10px;
}
.hoverStyle {
    background-color: #fdfdd3;
    border: 1px solid gray;
    color: black;
    font-family: Arial, Verdana, sans-serif;
    font-size: 11px;
    min-width: 200px;
    padding: 5px;
}

.activeLabel {
    color: black;
    padding: 0 5px;
}

.inactiveLabel {
    color: #4f4f4f;
    padding: 0 5px;
}

.inactiveLabelBold {
    color: #4f4f4f;
    padding: 0 5px;
    font-weight: bold;
}

.settformleft20 {
    margin-left: 20px;
}

.settformleft40 {
    margin-left: 40px;
}

.hasNotEmptyFeatureValues {
    font-weight: bold;
    background-color: #80d9ff;
}

.mmEditorPrio1,
.mmEditorPrio2,
.mmEditorPrio3,
.mmEditorPrio4 {
    border-bottom: 1px solid;
}

.mmEditorStatus0,
.mmEditorStatus1,
.mmEditorStatus2,
.mmEditorStatus3,
.mmEditorStatus4,
.mmEditorStatus8,
.mmEditorStatus9{
    border-bottom: 1px solid;
    border-color: #000000;
}

.mmEditorPrio1.bordered,
.mmEditorPrio2.bordered,
.mmEditorPrio3.bordered,
.mmEditorPrio4.bordered {
    border-left: 1px solid;
}

.mmEditorStatus0.bordered,
.mmEditorStatus1.bordered,
.mmEditorStatus2.bordered,
.mmEditorStatus3.bordered,
.mmEditorStatus4.bordered,
.mmEditorStatus8.bordered,
.mmEditorStatus9.bordered{
    border-left: 1px solid;
    border-color: #000000;
}

.mmEditorPrio1 {
     background-color: #FF8080;
 }
.mmEditorPrio2 {
    background-color: #FFFF80;
}
.mmEditorPrio3 {
    background-color: #80FF80;
}

.mmEditorStatus0,
.mmEditorStatus1,
.mmEditorStatus4{
    color: #000000;
}

.mmEditorStatus2,
.mmEditorStatus3,
.mmEditorStatus8,
.mmEditorStatus9{
    color: #ff0000;
}

.mmEditorPrio1.bordered.cellSelected,
.mmEditorPrio2.bordered.cellSelected,
.mmEditorPrio3.bordered.cellSelected,
.mmEditorPrio4.bordered.cellSelected,
.mmEditorPrio1.bordered.cellSelectedDark,
.mmEditorPrio2.bordered.cellSelectedDark,
.mmEditorPrio3.bordered.cellSelectedDark,
.mmEditorPrio4.bordered.cellSelectedDark{
    background-color: #d6e8ff
}

.mmEditorDisabledRow {
    color: #4f4f4f;
    text-decoration: line-through;
    background-color: #ebebeb;
}

.pasteMode {
    color: lightgray;
}

.noSpaceBelowImageLabel{
    position: relative !important;
    top: 10px !important;
}
.dropZoneOverlay, .FileUpload {
    width: 310px !important;
    height: 322px !important;
    position: absolute !important;
    top: 0px !important;
    left: 0px !important;
}
.dropZoneOverlay {
    position: absolute !important;
    width: 310px !important;
    height: 322px !important;
    top: 0px !important;
    left: 0px !important;
    text-align: center !important;
    vertical-align:middle !important;
}
.dropZoneImageItemOverlay {
    width: 200px !important;
    height: 200px !important;
    position: absolute !important;
    top: 0px !important;
    left: 0px !important;
    text-align: center !important;
    vertical-align:middle !important;
    opacity: 0 !important;
    z-index: 999999 !important;
}

.FileUpload {
    opacity: 0 !important;
    position: relative !important;
    z-index: 1 !important;
}

.hiddenImgInput {
    width: 200px;
    height: 200px;
    opacity: 0;
    overflow: hidden;
    position: absolute;
    left: 0px;
    z-index: 999999;
}

/*.hiddenImgInput + label {*/
    /*width: 200px;*/
    /*height: 200px;*/
    /*color: white;*/
    /*background-color: black;*/
    /*display: inline-block;*/
/*}*/

/* ---- TinyMCE ----------------------------------------------------------------------------------------------------- */

.mce-container, .mce-container *, .mce-widget, .mce-widget *, .mce-reset {
    z-index: 999999 !important;
}

#mce-modal-block {
    z-index: 999990 !important;
}

.mceBody {
    margin: 2px;
}

.stafButExists,
.stafButExistsOver,
.stafButExistsFocused,
.stafButExistsFocusedOver,
.stafButExistsSelectedFocused,
.stafButExistsSelectedFocusedOver {
    background-color: #CCCCCC;
    font-family: Arial, Verdana, sans-serif;
    font-size: 11px;
    padding: 0 0px;

    border: 1px solid #ababab;
    -moz-box-shadow: inset white 0 -1px 1px, inset white -1px 0 1px, inset white 1px 0 1px;
    -webkit-box-shadow: inset white 0 -1px 1px, inset white -1px 0 1px, inset white 1px 0 1px;
    box-shadow: inset white 0 -1px 1px, inset white -1px 0 1px, inset white 1px 0 1px;
}

.stafButExistsOver,
.stafButExistsFocusedOver,
.stafButExistsSelectedFocusedOver {
    -moz-box-shadow: inset #d8eafd 0 -1px 1px, inset #d8eafd -1px 0 1px, inset #d8eafd 1px 0 1px;
    -webkit-box-shadow: inset #d8eafd 0 -1px 1px, inset #d8eafd -1px 0 1px, inset #d8eafd 1px 0 1px;
    box-shadow: inset #d8eafd 0 -1px 1px, inset #d8eafd -1px 0 1px, inset #d8eafd 1px 0 1px;
    border: 1px solid #858585;
}

.redBoldText,
.redBoldTextDisabled {
    color: red;
    font-weight: bold;
    font-size: 12px;
}

.pickListCellDark{
    background-color: #f0f0f0;
}

td.blackbox,
 td.blackbox:hover,
 td.blackbox.cellSelectedDark,
 td.blackbox.cellDark{
     background-color: #3d474d;
     color: #3d474d;
     height: 22px !important;
     max-height: 22px !important;
     border-top: solid #808080 1px;
     border-right: none;
     border-bottom: solid #808080 1px;
     border-left: solid #808080 1px;
 }

td.blackbox div,
td.blackbox:hover div {
    background-color: #3d474d;
    color: #3d474d;
    height: 20px !important;
    max-height: 20px !important;
    border-top: none;
    border-right: none;
    border-bottom: none;
    border-left: none;
}

td.tallCell {
    height: 22px !important;
}

tr[rowselected="true"] td.cell.blackbox,
tr[rowselected="true"] td.cellDark.blackbox{
    background: #808080;
    border-bottom: 1px dotted #9fb7e9;
    border-top: 1px dotted #9fb7e9;
}
tr[rowselected="true"] td.cellSelected.blackbox,
tr[rowselected="true"] td.cellSelectedDark.blackbox{
    border: 1px solid rgba(0, 0, 0, 0.96);
    background: #808080;
}

tr[rowselected="true"] td.cell.blackbox div,
tr[rowselected="true"] td.cellDark.blackbox div,
tr[rowselected="true"] td.cellSelected.blackbox div,
tr[rowselected="true"] td.cellSelectedDark.blackbox div{
    background: #808080;
}

tr[rowselected="true"] td.mmEditorPrio1.bordered.cellSelected,
tr[rowselected="true"] td.mmEditorPrio2.bordered.cellSelected,
tr[rowselected="true"] td.mmEditorPrio3.bordered.cellSelected,
tr[rowselected="true"] td.mmEditorPrio4.bordered.cellSelected,
tr[rowselected="true"] td.mmEditorPrio1.bordered.cellSelected div,
tr[rowselected="true"] td.mmEditorPrio2.bordered.cellSelected div,
tr[rowselected="true"] td.mmEditorPrio3.bordered.cellSelected div,
tr[rowselected="true"] td.mmEditorPrio4.bordered.cellSelected div,
tr[rowselected="true"] td.mmEditorPrio1.bordered.cellSelectedDark,
tr[rowselected="true"] td.mmEditorPrio2.bordered.cellSelectedDark,
tr[rowselected="true"] td.mmEditorPrio3.bordered.cellSelectedDark,
tr[rowselected="true"] td.mmEditorPrio4.bordered.cellSelectedDark,
tr[rowselected="true"] td.mmEditorPrio1.bordered.cellSelectedDark div,
tr[rowselected="true"] td.mmEditorPrio2.bordered.cellSelectedDark div,
tr[rowselected="true"] td.mmEditorPrio3.bordered.cellSelectedDark div,
tr[rowselected="true"] td.mmEditorPrio4.bordered.cellSelectedDark div{
    background-color: #d6e8ff
}

div{
    white-space: pre !important;
}
.disabledPickListCell,
.disabledPickListCellOver,
.disabledPickListCellSelected,
.disabledPickListCellDark {
    color: #999 !important;
    background-color: #f5f5f5 !important;
    cursor: not-allowed !important;
    font-size: 11px;
}